linebreak.c File Reference

## Functions

linebreak_t * | linebreak_new (linebreak_ref_func_t ref_func)
linebreak_t * | linebreak_incref (linebreak_t *obj)
linebreak_t * | linebreak_copy (linebreak_t *obj)
void | linebreak_destroy (linebreak_t *obj)
void | linebreak_set_newline (linebreak_t *lbobj, unistr_t *newline)
void | linebreak_set_stash (linebreak_t *lbobj, void *stash)
void | linebreak_set_format (linebreak_t *lbobj, linebreak_format_func_t format_func, void *format_data)
void | linebreak_add_prep (linebreak_t *lbobj, linebreak_prep_func_t prep_func, void *prep_data)
void | linebreak_set_sizing (linebreak_t *lbobj, linebreak_sizing_func_t sizing_func, void *sizing_data)
void | linebreak_set_urgent (linebreak_t *lbobj, linebreak_urgent_func_t urgent_func, void *urgent_data)
void | linebreak_set_user (linebreak_t *lbobj, linebreak_obs_prep_func_t user_func, void *user_data)
void | linebreak_reset (linebreak_t *lbobj)
propval_t | linebreak_get_lbrule (linebreak_t *obj, propval_t blbc, propval_t albc)
propval_t | linebreak_lbclass (linebreak_t *obj, unichar_t c)
propval_t | linebreak_eawidth (linebreak_t *obj, unichar_t c)